Bug 180486 - bootloader not installed for raid and grub-install fails
bootloader not installed for raid and grub-install fails
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
Mike McLean
:
Depends On:
Blocks: FC5Blocker
  Show dependency treegraph
 
Reported: 2006-02-08 11:02 EST by Brandon Keepers
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-05 16:51:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brandon Keepers 2006-02-08 11:02:29 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
I installed from RawHide on an Intel SATA raid controller using raid0.  Install completed fine, but grub was not installed.  I booted into rescue mode, did a chroot to /mnt/sysimage, and tried "grub-install /dev/mapper/isw_cjahcfchfe_Volume0" and got the following error:

/dev/mapper/isw_cjahcfchfe_Volume0p1 does not have any corresponding BIOS drive.



Version-Release number of selected component (if applicable):
grub-0.97-2

How reproducible:
Always

Steps to Reproduce:
1. Install FC5 Rawhide on raid0
2. reboot

  

Actual Results:  bootloader was not installed so system could not boot, and grub-install failed

Expected Results:  anaconda should have installed bootloader and system should have booted normally after installation

Additional info:

/boot/grub/device.map
(hd0) /dev/mapper/isw_cjahcfchfe_Volume0


raid controller:
00:1f.2 RAID bus controller: Intel Corporation 82801GR/GH (ICH7 Family) Serial ATA Storage Controllers cc=RAID (rev 01)

The following was on virtual console 5 at the end of the installation:
grub> root (hd0,0)
 Filesystem type is ext2fs, partition type 0x83
grub> install /boot/grub/stage1 d (hd0) /boot/grub/stage2 p (hd0,0)/boot/grub/grub.conf

Error 22: No such partition
Comment 1 Brandon Keepers 2006-02-08 11:09:25 EST
I forgot to include the grub-install error.  When I type "grub-install
/dev/mapper/isw_cjahcfchfe_Volume0", I get:

/dev/mapper/isw_cjahcfchfe_Volume0p1 does not have any corresponding BIOS drive.
Comment 2 Brandon Keepers 2006-02-11 08:47:35 EST
Is there any more information I could give to help move this along?
Comment 3 Peter Jones 2006-02-28 10:43:06 EST
Does this work for you now?  Some of the booty code that installs grub from the
installer has changed, and I've also written the grub-install support for this
since you filed this bug.
Comment 4 John Thacker 2006-05-05 16:51:30 EDT
Closing due to lack of response from reporter.

Note You need to log in before you can comment on or make changes to this bug.